package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * goods_msg
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class GoodsMsg implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 商品分类
     */
    private Long goodsType;

    /**
     * 商品类型名称
     */
    private String goodsTypeName;

    /**
     * 商品分类父类
     */
    private Long goodsTypeParent;

    /**
     * 商品分类父类
     */
    private String goodsTypeParentName;

    /**
     * 销量
     */
    private Integer saleNum;

    /**
     * 类型：1.实物商品 2.虚拟商品
     */
    private Integer type;

    /**
     * 商品品牌名称
     */
    private String goodsBrandName;

    /**
     * 商品品牌
     */
    private Long goodsBrand;

    /**
     * 商品标签
     */
    private String goodsLabel;

    /**
     * 商品说明
     */
    private String goodsExplain;

    /**
     * 商品名称
     */
    private String title;

    /**
     * 列表图
     */
    private String listImg;

    /**
     * 轮播图
     */
    private String bannerImg;

    /**
     * 详情图
     */
    private String detailImg;

    /**
     * 商品状态：0:删除 1:上线 2:编辑中 3.审核中
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 商户名称
     */
    private String merName;

    /**
     * ext_1
     */
    private String ext1;

    /**
     * ext_2
     */
    private String ext2;

    /**
     * ext_3
     */
    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(Long goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsTypeName() {
        return goodsTypeName;
    }

    public void setGoodsTypeName(String goodsTypeName) {
        this.goodsTypeName = goodsTypeName;
    }

    public Long getGoodsTypeParent() {
        return goodsTypeParent;
    }

    public void setGoodsTypeParent(Long goodsTypeParent) {
        this.goodsTypeParent = goodsTypeParent;
    }

    public String getGoodsTypeParentName() {
        return goodsTypeParentName;
    }

    public void setGoodsTypeParentName(String goodsTypeParentName) {
        this.goodsTypeParentName = goodsTypeParentName;
    }

    public Integer getSaleNum() {
        return saleNum;
    }

    public void setSaleNum(Integer saleNum) {
        this.saleNum = saleNum;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getGoodsBrandName() {
        return goodsBrandName;
    }

    public void setGoodsBrandName(String goodsBrandName) {
        this.goodsBrandName = goodsBrandName;
    }

    public Long getGoodsBrand() {
        return goodsBrand;
    }

    public void setGoodsBrand(Long goodsBrand) {
        this.goodsBrand = goodsBrand;
    }

    public String getGoodsLabel() {
        return goodsLabel;
    }

    public void setGoodsLabel(String goodsLabel) {
        this.goodsLabel = goodsLabel;
    }

    public String getGoodsExplain() {
        return goodsExplain;
    }

    public void setGoodsExplain(String goodsExplain) {
        this.goodsExplain = goodsExplain;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getListImg() {
        return listImg;
    }

    public void setListImg(String listImg) {
        this.listImg = listImg;
    }

    public String getBannerImg() {
        return bannerImg;
    }

    public void setBannerImg(String bannerImg) {
        this.bannerImg = bannerImg;
    }

    public String getDetailImg() {
        return detailImg;
    }

    public void setDetailImg(String detailImg) {
        this.detailImg = detailImg;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getMerName() {
        return merName;
    }

    public void setMerName(String merName) {
        this.merName = merName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GoodsMsg other = (GoodsMsg) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGoodsType() == null ? other.getGoodsType() == null : this.getGoodsType().equals(other.getGoodsType()))
            && (this.getGoodsTypeName() == null ? other.getGoodsTypeName() == null : this.getGoodsTypeName().equals(other.getGoodsTypeName()))
            && (this.getGoodsTypeParent() == null ? other.getGoodsTypeParent() == null : this.getGoodsTypeParent().equals(other.getGoodsTypeParent()))
            && (this.getGoodsTypeParentName() == null ? other.getGoodsTypeParentName() == null : this.getGoodsTypeParentName().equals(other.getGoodsTypeParentName()))
            && (this.getSaleNum() == null ? other.getSaleNum() == null : this.getSaleNum().equals(other.getSaleNum()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getGoodsBrandName() == null ? other.getGoodsBrandName() == null : this.getGoodsBrandName().equals(other.getGoodsBrandName()))
            && (this.getGoodsBrand() == null ? other.getGoodsBrand() == null : this.getGoodsBrand().equals(other.getGoodsBrand()))
            && (this.getGoodsLabel() == null ? other.getGoodsLabel() == null : this.getGoodsLabel().equals(other.getGoodsLabel()))
            && (this.getGoodsExplain() == null ? other.getGoodsExplain() == null : this.getGoodsExplain().equals(other.getGoodsExplain()))
            && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
            && (this.getListImg() == null ? other.getListImg() == null : this.getListImg().equals(other.getListImg()))
            && (this.getBannerImg() == null ? other.getBannerImg() == null : this.getBannerImg().equals(other.getBannerImg()))
            && (this.getDetailImg() == null ? other.getDetailImg() == null : this.getDetailImg().equals(other.getDetailImg()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getMerName() == null ? other.getMerName() == null : this.getMerName().equals(other.getMerName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGoodsType() == null) ? 0 : getGoodsType().hashCode());
        result = prime * result + ((getGoodsTypeName() == null) ? 0 : getGoodsTypeName().hashCode());
        result = prime * result + ((getGoodsTypeParent() == null) ? 0 : getGoodsTypeParent().hashCode());
        result = prime * result + ((getGoodsTypeParentName() == null) ? 0 : getGoodsTypeParentName().hashCode());
        result = prime * result + ((getSaleNum() == null) ? 0 : getSaleNum().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getGoodsBrandName() == null) ? 0 : getGoodsBrandName().hashCode());
        result = prime * result + ((getGoodsBrand() == null) ? 0 : getGoodsBrand().hashCode());
        result = prime * result + ((getGoodsLabel() == null) ? 0 : getGoodsLabel().hashCode());
        result = prime * result + ((getGoodsExplain() == null) ? 0 : getGoodsExplain().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getListImg() == null) ? 0 : getListImg().hashCode());
        result = prime * result + ((getBannerImg() == null) ? 0 : getBannerImg().hashCode());
        result = prime * result + ((getDetailImg() == null) ? 0 : getDetailImg().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getMerName() == null) ? 0 : getMerName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", goodsType=").append(goodsType);
        sb.append(", goodsTypeName=").append(goodsTypeName);
        sb.append(", goodsTypeParent=").append(goodsTypeParent);
        sb.append(", goodsTypeParentName=").append(goodsTypeParentName);
        sb.append(", saleNum=").append(saleNum);
        sb.append(", type=").append(type);
        sb.append(", goodsBrandName=").append(goodsBrandName);
        sb.append(", goodsBrand=").append(goodsBrand);
        sb.append(", goodsLabel=").append(goodsLabel);
        sb.append(", goodsExplain=").append(goodsExplain);
        sb.append(", title=").append(title);
        sb.append(", listImg=").append(listImg);
        sb.append(", bannerImg=").append(bannerImg);
        sb.append(", detailImg=").append(detailImg);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", merId=").append(merId);
        sb.append(", merName=").append(merName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}